<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package logistec
 */

get_header();
?>

<section class="error-section pt-120 pb-120">
   <div class="container">
      <?php 
         $logistec_404_img = get_theme_mod('logistec_404_img', get_template_directory_uri() . '/assets/img/images/error-img.png');
         $logistec_error_title = get_theme_mod('logistec_error_title', __('Oops! That page can’t be found', 'logistec'));
         $logistec_error_desc = get_theme_mod('logistec_error_desc', __('Sorry, but the page you are looking for does not existing', 'logistec'));
         $logistec_404_btn_text = get_theme_mod('logistec_404_btn_text', __('Back To Home', 'logistec'));
      ?>
      <div class="error-content text-center">
         <img class="mb-40" src="<?php echo esc_url($logistec_404_img); ?>" alt="<?php print esc_attr__('Error 404', 'logistec'); ?>">

         <h2 class="mb-30"><?php print esc_html($logistec_error_title);?></h2>

         <p class="mb-30"><?php print esc_html($logistec_error_desc);?></p>

         <a href="<?php print esc_url(home_url('/')); ?>" class="lt-primary-btn">
            <?php print esc_html($logistec_404_btn_text); ?>
         </a>
      </div>
   </div>
</section>

<?php
get_footer();