<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package logistec
 */
?>

<!doctype html>
<html <?php language_attributes();?>>
<head>
	<meta charset="<?php bloginfo( 'charset' );?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ): ?>
    <?php endif;?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head();?>
</head>

<body <?php body_class();?>>

    <?php wp_body_open();?>


    <?php
        $logistec_preloader = get_theme_mod( 'logistec_preloader', false );
		$logistec_preloader_icon = get_template_directory_uri() . '/assets/img/logo/proloader.gif';
		$logistec_preloader_icon2 = get_theme_mod('logistec_preloader_icon', $logistec_preloader_icon);

		$logistec_backtotop = get_theme_mod('logistec_backtotop', true);
    ?>

    <?php if ( !empty( $logistec_preloader ) ): ?>
        <!-- preloader-start -->
        <div class="preloader">
            <img src="<?php print esc_url($logistec_preloader_icon2); ?>" alt="<?php print esc_attr__('preloader-icon', 'logistec'); ?>">
        </div>
		<!-- preloader-end -->
    <?php endif;?>


    <?php if ( !empty( $logistec_backtotop ) ): ?>
    <div id="scrollup">
        <button id="scroll-top" class="scroll-to-top"><i class="fa-regular fa-arrow-up-long"></i></button>
    </div>
    <?php endif;?>



    <!-- header start -->
    <?php do_action( 'logistec_header_style' );?>
    <!-- header end -->

    <!-- wrapper-box start -->
    <?php do_action( 'logistec_before_main_content' );?>