<?php
/**
 * logistec customizer
 *
 * @package logistec
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function logistec_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'logistec_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'Logistec Customizer', 'logistec' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'header_top_setting', [
        'title'       => esc_html__( 'Header Info Setting', 'logistec' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'header_social', [
        'title'       => esc_html__( 'Header Social', 'logistec' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'section_header_logo', [
        'title'       => esc_html__( 'Header Setting', 'logistec' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'logistec' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'header_side_setting', [
        'title'       => esc_html__( 'Side Info', 'logistec' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'logistec' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'logistec' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'logistec' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'logistec' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'logistec' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );

    $wp_customize->add_section( 'typo_setting', [
        'title'       => esc_html__( 'Typography Setting', 'logistec' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'logistec_customizer',
    ] );
}

add_action( 'customize_register', 'logistec_customizer_panels_sections' );

function _header_top_fields( $fields ) {

    // preloader 
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_topbar_switch',
        'label'    => esc_html__( 'Topbar Swicher', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_header_right',
        'label'    => esc_html__( 'Header Right On/Off', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];


    // Backtotop
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_backtotop',
        'label'    => esc_html__('Back To Top On/Off', 'logistec'),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'logistec'),
            'off' => esc_html__('Disable', 'logistec'),
        ],
    ];


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_search',
        'label'    => esc_html__( 'Header Search On/Off', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    // preloader 
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_preloader',
        'label'    => esc_html__( 'Preloader On/Off', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logistec_preloader_icon',
        'label'       => esc_html__('Preloader Image', 'logistec'),
        'description' => esc_html__('Upload Your Image.', 'logistec'),
        'section'     => 'header_top_setting',
        'default'     => get_template_directory_uri() . '/assets/img/logo/proloader.gif',
    ];


    // contact button
    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_button_text',
        'label'    => esc_html__( 'Button Text', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Request A Quote', 'logistec' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'logistec_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'logistec_button_link',
        'label'    => esc_html__( 'Button URL', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'logistec_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];


    // contact button header 04
    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_button04_text',
        'label'    => esc_html__( 'Header 04 Button Text', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Track Parcel', 'logistec' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'logistec_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'logistec_button04_link',
        'label'    => esc_html__( 'Header 04 Button URL', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'logistec_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];


    // default header topbar info

    // Available Time text
    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_available_time',
        'label'    => esc_html__( 'Available Time', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Mon - Sat: 8 am - 5 pm, Sunday: CLOSED', 'logistec' ),
        'priority' => 10,
    ];

    // Topbar Number 
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'logistec_topbar_phone',
        'label'    => esc_html__( 'Phone Number', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '1-888-452-1505', 'logistec' ),
        'priority' => 10,
    ];


    $fields[] = [
        'type'     => 'link',
        'settings' => 'logistec_topbar_phone_link',
        'label'    => esc_html__( 'Phone Number URL', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
    ];

    // Topbar Address 
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'logistec_topbar_address',
        'label'    => esc_html__( 'Address', 'logistec' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '380 St Kilda Road, Australia', 'logistec' ),
        'priority' => 10,
    ];

    return $fields;

}
add_filter( 'kirki/fields', '_header_top_fields' );



/*
Header Social
 */
function _header_social_fields( $fields ) {
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_topbar_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'logistec' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_topbar_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'logistec' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_topbar_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'logistec' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_topbar_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'logistec' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_topbar_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'logistec' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'logistec' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', '_header_social_fields' );



/*
Header Settings
 */
function _header_header_fields( $fields ) {
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Select Header Style', 'logistec' ),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__( 'Select an option...', 'logistec' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2'   => get_template_directory_uri() . '/inc/img/header/header-2.png',
            'header-style-3'   => get_template_directory_uri() . '/inc/img/header/header-3.png',
            'header-style-4'   => get_template_directory_uri() . '/inc/img/header/header-4.png',
        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'logistec' ),
        'description' => esc_html__( 'Upload Your Logo.', 'logistec' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seconday_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'logistec' ),
        'description' => esc_html__( 'Header Logo Black', 'logistec' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-light.png',
    ];    

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'header_style_04_logo',
        'label'       => esc_html__( 'Header Style 04 Home 03 logo', 'logistec' ),
        'description' => esc_html__( 'Header Style 04 Logo', 'logistec' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-home-03.png',
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );

/*
Header Side Info
 */
function _header_side_fields( $fields ) {
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_side_hide',
        'label'    => esc_html__( 'Side Info On/Off', 'logistec' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logistec_side_logo',
        'label'       => esc_html__( 'Logo Side', 'logistec' ),
        'description' => esc_html__( 'Logo Side', 'logistec' ),
        'section'     => 'header_side_setting',
        'default'     => get_template_directory_uri() . '/assets/images/home/logo.svg',
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'logistec_extra_address',
        'label'    => esc_html__( 'Office Address', 'logistec' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '12/A, Mirnada City Tower, NYC', 'logistec' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'logistec_extra_phone',
        'label'    => esc_html__( 'Phone Number', 'logistec' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '+666 888 0000', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'logistec_extra_email',
        'label'    => esc_html__( 'Email ID', 'logistec' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'demo@example.com', 'logistec' ),
        'priority' => 10,
    ];


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_side_social_hide',
        'label'    => esc_html__( 'Side Info Social On/Off', 'logistec' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_side_fields' );

/*
_header_page_title_fields
 */
function _header_page_title_fields( $fields ) {
    // Breadcrumb Setting
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'logistec' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'logistec' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/bg-img/page-header-bg.jpg',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'logistec_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'logistec' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'logistec' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#222',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_switch',
        'label'    => esc_html__( 'Breadcrumb Hide', 'logistec' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_info_switch',
        'label'    => esc_html__( 'Breadcrumb Info switch', 'logistec' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_blog_btn_switch',
        'label'    => esc_html__( 'Blog BTN On/Off', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_blog_page_sidebar_hide',
        'label'    => esc_html__( 'Blog Page Sidebar On/Off', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_blog_cat',
        'label'    => esc_html__( 'Blog Category Meta On/Off', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_blog_author',
        'label'    => esc_html__( 'Blog Author Meta On/Off', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_blog_date',
        'label'    => esc_html__( 'Blog Date Meta On/Off', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_blog_comments',
        'label'    => esc_html__( 'Blog Comments Meta On/Off', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'logistec' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'logistec' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields( $fields ) {
    // Footer Setting
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'logistec' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'logistec' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
            'footer-style-2'   => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
        ],
        'default'     => 'footer-style-1',
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'logistec' ),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__( 'Select an option...', 'logistec' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__( 'Widget Number 4', 'logistec' ),
            '3' => esc_html__( 'Widget Number 3', 'logistec' ),
            '2' => esc_html__( 'Widget Number 2', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'logistec_footer_bg_color',
        'label'       => __( 'Footer BG Color', 'logistec' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'logistec' ),
        'section'     => 'footer_setting',
        'default'     => '#0c0f16',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_2_switch',
        'label'    => esc_html__( 'Footer Style 2 On/Off', 'logistec' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_copyright',
        'label'    => esc_html__( 'Copy Right', 'logistec' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Copyright &copy; 2023 RRdevs. All Rights Reserved', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'logistec_footer_bottom_menu',
        'label'    => esc_html__( 'Footer Bottom Menu On/Off', 'logistec' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'logistec' ),
            'off' => esc_html__( 'Disable', 'logistec' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );

// color
function logistec_color_fields( $fields ) {
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'logistec_color_option_prim',
        'label'       => __( 'Primary Color', 'logistec' ),
        'description' => esc_html__( 'This is a Primary color control.', 'logistec' ),
        'section'     => 'color_setting',
        'default'     => '#FE5624',
        'priority'    => 10,

    ];

    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'logistec_color_option_sec',
        'label'       => __( 'Secondary Color', 'logistec' ),
        'description' => esc_html__( 'This is a Secondary color control.', 'logistec' ),
        'section'     => 'color_setting',
        'default'     => '#0F1B24',
        'priority'    => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'logistec_color_fields' );

// 404
function logistec_404_fields( $fields ) {

    // 404 settings
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logistec_404_img',
        'label'       => esc_html__('404 Image.', 'logistec'),
        'description' => esc_html__('404 Image.', 'logistec'),
        'section'     => '404_page',
        'default'     => get_template_directory_uri() . '/assets/img/images/error-img.png',
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_error_title',
        'label'    => esc_html__( 'Not Found Title', 'logistec' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Oops! That page can’t be found', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_error_desc',
        'label'    => esc_html__( 'Not Found Description', 'logistec' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Sorry, but the page you are looking for does not existing', 'logistec' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'logistec_404_btn_text',
        'label'    => esc_html__('404 Button Text', 'logistec'),
        'section'  => '404_page',
        'default'  => esc_html__('Back To Home', 'logistec'),
        'priority' => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', 'logistec_404_fields' );

/**
 * Added Fields
 */
function logistec_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__( 'Body Font', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__( 'Heading h1 Fonts', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__( 'Heading h2 Fonts', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__( 'Heading h3 Fonts', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__( 'Heading h4 Fonts', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__( 'Heading h5 Fonts', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__( 'Heading h6 Fonts', 'logistec' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'logistec_typo_fields' );

/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function logistec_THEME_option( $name ) {
    $value = '';
    if ( class_exists( 'logistec' ) ) {
        $value = Kirki::get_option( logistec_get_theme(), $name );
    }

    return apply_filters( 'logistec_THEME_option', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function logistec_get_theme() {
    return 'logistec';
}