<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package logistec
 */

/**
 *
 * logistec header
 */

function logistec_check_header() {
    $logistec_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
    $logistec_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

    if ( $logistec_header_style == 'header-style-1' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-1' );
    }
    elseif ( $logistec_header_style == 'header-style-2' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-2' );
    }
    elseif ( $logistec_header_style == 'header-style-3' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-3' );
    }
    elseif ( $logistec_header_style == 'header-style-4' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-4' );
    } else {

        /** default header style **/
        if ( $logistec_default_header_style == 'header-style-2' ) {
            get_template_part( 'template-parts/header/header-2' );
        }
        elseif ( $logistec_default_header_style == 'header-style-3' ) {
            get_template_part( 'template-parts/header/header-3' );
        }
        elseif ( $logistec_default_header_style == 'header-style-4' ) {
            get_template_part( 'template-parts/header/header-4' );
        } else {
            get_template_part( 'template-parts/header/header-1' );
        }
    }

}
add_action( 'logistec_header_style', 'logistec_check_header', 10 );


/**
 * [logistec_header_lang description]
 * @return [type] [description]
 */
function logistec_header_lang_default() {
    $logistec_header_lang = get_theme_mod( 'logistec_header_lang', false );
    if ( $logistec_header_lang ): ?>

    <ul>
        <li><a href="javascript:void(0)"><?php print esc_html__( 'English', 'logistec' );?> <i class="fas fa-angle-down"></i></a>
        <?php do_action( 'logistec_language' );?>
        </li>
    </ul>

    <?php endif;?>
<?php
}

/**
 * [logistec_language_list description]
 * @return [type] [description]
 */
function _logistec_language( $mar ) {
    return $mar;
}
function logistec_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul>';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul>';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'logistec' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Dutch', 'logistec' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'French', 'logistec' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Hindi', 'logistec' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _logistec_language( $mar );
}
add_action( 'logistec_language', 'logistec_language_list' );


// header logo
function logistec_header_logo() { ?>
        <?php
        $logistec_logo_on = function_exists( 'get_field' ) ? get_field( 'is_enable_sec_logo' ) : NULL;
        $logistec_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $logistec_logo_black = get_template_directory_uri() . '/assets/img/logo/logo-light.png';

        $logistec_site_logo = get_theme_mod( 'logo', $logistec_logo );
        $logistec_secondary_logo = get_theme_mod( 'seconday_logo', $logistec_logo_black );
        ?>

        <?php if ( !empty( $logistec_logo_on ) ) : ?>
            <a href="<?php print esc_url( home_url( '/' ) );?>">
                <img src="<?php print esc_url( $logistec_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'logistec' );?>">
            </a>
        <?php else : ?>
            <a href="<?php print esc_url( home_url( '/' ) );?>">
                <img src="<?php print esc_url( $logistec_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'logistec' );?>">
            </a>
        <?php endif; ?>
   <?php
}

// header logo
function logistec_header_sticky_logo() {?>
    <?php
        $logistec_logo_black = get_template_directory_uri() . '/assets/images/resources/logo-1.png';
        $logistec_secondary_logo = get_theme_mod( 'seconday_logo', $logistec_logo_black );
    ?>
      <a class="sticky-logo" href="<?php print esc_url( home_url( '/' ) );?>">
          <img src="<?php print esc_url( $logistec_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'logistec' );?>" />
      </a>
    <?php
}


// Header Style 04 Logo
function logistec_header_04_logo() {?>
    <?php
        $logistec_04_heaer_logo = get_template_directory_uri() . '/assets/img/logo/logo-home-03.png';
        $logistec_header_style_04_logo = get_theme_mod( 'header_style_04_logo', $logistec_04_heaer_logo );
    ?>
        <a href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $logistec_header_style_04_logo );?>" alt="<?php print esc_attr__( 'logo', 'logistec' );?>">
        </a>
    <?php
}


// Logistec Mobile Logo 
function logistec_mobile_logo() {
    // side info
    $logistec_mobile_logo_hide = get_theme_mod( 'logistec_mobile_logo_hide', false );

    $logistec_site_logo = get_theme_mod( 'logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );

    ?>

    <?php if ( !empty( $logistec_mobile_logo_hide ) ): ?>
        <a href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $logistec_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'logistec' );?>" />
        </a>
    <?php endif;?>



<?php }

/**
 * [logistec_header_social_profiles description]
 * @return [type] [description]
 */
function logistec_header_social_profiles() {
    $logistec_topbar_fb_url = get_theme_mod( 'logistec_topbar_fb_url', __( '#', 'logistec' ) );
    $logistec_topbar_twitter_url = get_theme_mod( 'logistec_topbar_twitter_url', __( '#', 'logistec' ) );
    $logistec_topbar_youtube_url = get_theme_mod( 'logistec_topbar_youtube_url', __( '#', 'logistec' ) );
    $logistec_topbar_pinterest_url = get_theme_mod( 'logistec_topbar_pinterest_url', __( '#', 'logistec' ) );
    $logistec_topbar_linkedin_url = get_theme_mod( 'logistec_topbar_linkedin_url', __( '#', 'logistec' ) );
    ?>
        <?php if ( !empty( $logistec_topbar_fb_url ) ): ?>
            <li><a href="<?php print esc_url( $logistec_topbar_fb_url );?>"><i class="fab fa-facebook-f"></i></a></li>
        <?php endif;?>
        <?php if ( !empty( $logistec_topbar_twitter_url ) ): ?>
            <li><a href="<?php print esc_url( $logistec_topbar_twitter_url );?>"><i class="fab fa-twitter"></i></a></li>
        <?php endif;?>
        <?php if ( !empty( $logistec_topbar_youtube_url ) ): ?>
            <li><a href="<?php print esc_url( $logistec_topbar_youtube_url );?>"><i class="fab fa-youtube"></i></a></li>
        <?php endif;?>
        <?php if ( !empty( $logistec_topbar_pinterest_url ) ): ?>
            <li><a href="<?php print esc_url( $logistec_topbar_pinterest_url );?>"><i class="fab fa-pinterest-p"></i></a></li>
        <?php endif;?>
        <?php if ( !empty( $logistec_topbar_linkedin_url ) ): ?>
            <li><a href="<?php print esc_url( $logistec_topbar_linkedin_url );?>"><i class="fab fa-linkedin"></i></a></li>
        <?php endif;?>
    <?php
}

/**
 * [logistec_header_menu description]
 * @return [type] [description]
 */
function logistec_header_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => 'main-menu__list',
            'container'      => '',
            'fallback_cb'    => 'Logistec_Navwalker_Class::fallback',
            'walker'         => new Logistec_Navwalker_Class,
        ] );
    ?>
    <?php
}


/**
 * [logistec_header_menu description]
 * @return [type] [description]
 */
function logistec_mobile_menu() {
    ?>
    <?php
        $logistec_menu = wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'menu_id'        => 'mobile-menu-active',
            'echo'           => false,
        ] );

    $logistec_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $logistec_menu );
        echo wp_kses_post( $logistec_menu );
    ?>
    <?php
}


/**
 * [logistec_footer_bottom_menu description]
 * @return [type] [description]
 */
function logistec_footer_bottom_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'footer-bottom-menu',
            'menu_class'     => 'copy-list',
            'container'      => '',
            'fallback_cb'    => 'Navwalker_Class::fallback',
            'walker'         => new Logistec_Navwalker_Class,
        ] );
    ?>
    <?php
}



/**
 *
 * logistec footer
 */
add_action( 'logistec_footer_style', 'logistec_check_footer', 10 );

function logistec_check_footer() {
    $logistec_footer_style = function_exists( 'get_field' ) ? get_field( 'footer_style' ) : NULL;
    $logistec_default_footer_style = get_theme_mod( 'choose_default_footer', 'footer-style-1' );

    if ( $logistec_footer_style == 'footer-style-1' ) {
        get_template_part( 'template-parts/footer/footer-1' );
    }
    elseif ( $logistec_footer_style == 'footer-style-2' ) {
        get_template_part( 'template-parts/footer/footer-2' );
    }
    elseif ( $logistec_footer_style == 'footer-style-3' ) {
        get_template_part( 'template-parts/footer/footer-3' );
    } 
    elseif ( $logistec_footer_style == 'footer-style-4' ) {
        get_template_part( 'template-parts/footer/footer-4' );
    } else {

        /** default footer style **/
        if ( $logistec_default_footer_style == 'footer-style-2' ) {
            get_template_part( 'template-parts/footer/footer-2' );
        }
        elseif ( $logistec_default_footer_style == 'footer-style-3' ) {
            get_template_part( 'template-parts/footer/footer-3' );
        } 
        elseif ( $logistec_default_footer_style == 'footer-style-4' ) {
            get_template_part( 'template-parts/footer/footer-4' );
        } else {
            get_template_part( 'template-parts/footer/footer-1' );
        }
    }
}


// logistec_copyright_text
function logistec_copyright_text() {
   print get_theme_mod( 'logistec_copyright', esc_html__( 'Copyright © 2024 Logistec All Rights Reserved.', 'logistec' ) );
}

/**
 *
 * pagination
 */
if ( !function_exists( 'logistec_pagination' ) ) {

    function _logistec_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function logistec_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];
        }

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li>' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _logistec_pagi_callback( $pagi );
    }
}

// theme color
function logistec_custom_color() {
    $logistec_color_option_prim = get_theme_mod( 'logistec_color_option_prim', '#EB044F' );
    $logistec_color_option_sec = get_theme_mod( 'logistec_color_option_sec', '#21D496' );
    $logistec_color_option_body = get_theme_mod( 'logistec_color_option_body', '#525257' );
    $logistec_color_option_black = get_theme_mod( 'logistec_color_option_black', '#03041D' );
    $logistec_color_option_white = get_theme_mod( 'logistec_color_option_white', '#fff' );

    wp_enqueue_style( 'logistec-custom', LOGISTEC_THEME_CSS_DIR . 'logistec-custom.css', [] );

    if ( !empty($logistec_color_option_prim) || !empty($logistec_color_option_sec) || !empty($logistec_color_option_body) || !empty($logistec_color_option_black) || !empty($logistec_color_option_white)) {
        $custom_css = '';

        $custom_css .= "html:root{
          --logistec-primary: " . $logistec_color_option_prim . ";
          --logistec-secondary: " . $logistec_color_option_sec . ";
          --logistec-body: " . $logistec_color_option_body . ";
          --logistec-black: " . $logistec_color_option_black . ";
          --logistec-white: " . $logistec_color_option_white . ";
        }";

        $custom_css .= "body .footer__widget .title { color: " . $logistec_color_option_black . "!important}";


        wp_add_inline_style( 'logistec-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'logistec_custom_color' );

// logistec_kses_intermediate
function logistec_kses_intermediate( $string = '' ) {
    return wp_kses( $string, logistec_get_allowed_html_tags( 'intermediate' ) );
}

function logistec_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}


// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function logistec_kses($raw){

   $allowed_tags = array(
      'a'                         => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'                      => array(
         'title' => array(),
      ),
      'b'                         => array(),
      'blockquote'                => array(
         'cite' => array(),
      ),
      'cite'                      => array(
         'title' => array(),
      ),
      'code'                      => array(),
      'del'                    => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'                     => array(),
      'div'                    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'                     => array(),
      'dt'                     => array(),
      'em'                     => array(),
      'h1'                     => array(),
      'h2'                     => array(),
      'h3'                     => array(),
      'h4'                     => array(),
      'h5'                     => array(),
      'h6'                     => array(),
      'i'                         => array(
         'class' => array(),
      ),
      'img'                    => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'                     => array(
         'class' => array(),
      ),
      'ol'                     => array(
         'class' => array(),
      ),
      'p'                         => array(
         'class' => array(),
      ),
      'q'                         => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'                      => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'                 => array(
         'width'         => array(),
         'height'     => array(),
         'scrolling'     => array(),
         'frameborder'   => array(),
         'allow'         => array(),
         'src'        => array(),
      ),
      'strike'                 => array(),
      'br'                     => array(),
      'strong'                 => array(),
      'data-wow-duration'            => array(),
      'data-wow-delay'            => array(),
      'data-wallpaper-options'       => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'                     => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}