<?php

/**
 * Template part for displaying footer layout one
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package logistec
*/

$logistec_footer_logo = get_theme_mod( 'logistec_footer_logo' );
$logistec_footer_bg_url_from_page = function_exists( 'get_field' ) ? get_field( 'logistec_footer_bg' ) : '';
$logistec_footer_bg_color_from_page = function_exists( 'get_field' ) ? get_field( 'logistec_footer_bg_color' ) : '';
$footer_bg_color = get_theme_mod( 'logistec_footer_bg_color' );


$logistec_footer_bottom_menu = get_theme_mod('logistec_footer_bottom_menu', false);
$footer_copyright_center = $logistec_footer_bottom_menu ? 'col-xl-6 col-lg-6 col-md-12 text-center text-xl-start text-lg-start text-md-center' : 'col-lg-12 text-center';

$footer_newsletter_switch = get_theme_mod( 'footer_newsletter_switch', false );
$footer_newsletter_heading = get_theme_mod( 'footer_newsletter_heading', esc_html__( 'Newsletter Subscribe', 'logistec' ) );
$footer_newsletter_subheading = get_theme_mod( 'footer_newsletter_heading', esc_html__( 'Subscribe Our Newsletter For Get More Update', 'logistec' ) );
$footer_newsletter_shortcode = get_theme_mod( 'footer_newsletter_shortcode' );

// bg color
$bg_color = !empty( $logistec_footer_bg_color_from_page ) ? $logistec_footer_bg_color_from_page : $footer_bg_color;


// footer_columns
$footer_columns = 0;
$footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

for ( $num = 1; $num <= $footer_widgets; $num++ ) {
    if ( is_active_sidebar( 'footer-' . $num ) ) {
        $footer_columns++;
    }
}

switch ( $footer_columns ) {
case '1':
    $footer_class[1] = 'col-lg-12';
    break;
case '2':
    $footer_class[1] = 'col-lg-6 col-md-6';
    $footer_class[2] = 'col-lg-6 col-md-6';
    break;
case '3':
    $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
    $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
    $footer_class[3] = 'col-xl-4 col-lg-6';
    break;
case '4':
    $footer_class[1] = 'col-xl-3 col-lg-3 col-md-6';
    $footer_class[2] = 'col-xl-3 col-lg-3 col-md-6';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-6';
    $footer_class[4] = 'col-xl-3 col-lg-3 col-md-6';
    break;
default:
    $footer_class = 'col-xl-3 col-lg-3 col-md-6';
    break;
}

?>

    <footer class="footer-section footer-2" data-bg-color="<?php print esc_attr( $bg_color );?>">
        <div class="container">
            <?php if ( is_active_sidebar('footer-1') OR is_active_sidebar('footer-2') OR is_active_sidebar('footer-3') OR is_active_sidebar('footer-4') ): ?>
            <div class="row footer-wrap pt-100 pb-70">
                <?php
                    if ( $footer_columns > 4 ) {
                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-1' );
                    print '</div>';

                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-2' );
                    print '</div>';

                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-3' );
                    print '</div>';

                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-4' );
                    print '</div>';

                    ?>
                    </div></div>
                    <?php
                    } else {
                        for ( $num = 1; $num <= $footer_columns; $num++ ) {
                            if ( !is_active_sidebar( 'footer-' . $num ) ) {
                                continue;
                            }
                            print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                            dynamic_sidebar( 'footer-' . $num );
                            print '</div>';
                        }
                    }
                ?>
            </div>
            <?php endif; ?>
        </div>
        <div class="copyright-area">
            <div class="copyright-content content-2">
                <div class="container">
                    <div class="row">
                        <div class="<?php print esc_attr($footer_copyright_center); ?>">
                            <p><?php print logistec_copyright_text(); ?></p>
                        </div>

                        <?php if (!empty($logistec_footer_bottom_menu)) : ?>
                        <div class="col-xl-6 col-lg-6 col-md-12 col-12 text-center text-xl-end text-lg-end text-md-center">
                            <?php logistec_footer_bottom_menu(); ?>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </footer>