<?php

/**
 * Template part for displaying footer layout two
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package logistec
*/

$logistec_footer_logo = get_theme_mod( 'logistec_footer_logo' );
$logistec_footer_bg_url_from_page = function_exists( 'get_field' ) ? get_field( 'logistec_footer_bg' ) : '';
$logistec_footer_bg_color_from_page = function_exists( 'get_field' ) ? get_field( 'logistec_footer_bg_color' ) : '';
$footer_bg_color = get_theme_mod( 'logistec_footer_bg_color' );
$footer_style_2_switch = get_theme_mod( 'footer_style_2_switch', true );

// bg color
$bg_color = !empty( $logistec_footer_bg_color_from_page ) ? $logistec_footer_bg_color_from_page : $footer_bg_color;

$footer_columns = 0;
$footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

for ( $num = 1; $num <= $footer_widgets; $num++ ) {
    if ( is_active_sidebar( 'footer-2-' . $num ) ) {
        $footer_columns++;
    }
}

switch ( $footer_columns ) {
case '1':
    $footer_class[1] = 'col-lg-12';
    break;
case '2':
    $footer_class[1] = 'col-lg-6 col-md-6 wow fadeInUp';
    $footer_class[2] = 'col-lg-6 col-md-6 wow fadeInUp';
    break;
case '3':
    $footer_class[1] = 'col-xl-3 col-lg-3 col-md-4 col-sm-6 col-12 d-flex';
    $footer_class[2] = 'col-xl-6 col-lg-6 col-md-4 col-sm-6 col-12 d-flex justify-content-center';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-4 col-sm-6 col-12 d-flex';
    break;
case '4':
    $footer_class[1] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    $footer_class[2] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    $footer_class[4] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    break;
default:
    $footer_class = 'col-xl-3 col-lg-3 col-md-6';
    break;
}

?>


    <footer class="footer-section">
        <div class="truck wow fade-in-right" data-wow-delay="400ms" data-background="<?php echo get_template_directory_uri(); ?>/assets/img/icon/footer-truck.png"></div>
        <div class="container">
            <?php if ( $footer_style_2_switch ) { if ( is_active_sidebar( 'footer-2-1' ) OR is_active_sidebar( 'footer-2-2' ) OR is_active_sidebar( 'footer-2-3' ) ): ?>
            <div class="row footer-wrap pt-120 pb-70">
                <?php
                    if ( $footer_columns > 4 ) {
                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-2-1' );
                    print '</div>';

                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-2-2' );
                    print '</div>';

                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-2-3' );
                    print '</div>';

                    print '<div class="col-xl-3 col-lg-3 col-md-6 col-12">';
                    dynamic_sidebar( 'footer-2-4' );
                    print '</div>';

                    } else {
                        for ( $num = 1; $num <= $footer_columns; $num++ ) {
                            if ( !is_active_sidebar( 'footer-2-' . $num ) ) {
                                continue;
                            }
                            print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                            dynamic_sidebar( 'footer-2-' . $num );
                            print '</div>';
                        }
                    }
                ?>
            </div>
            <?php endif;
                }
            ?>
        </div>
        <div class="copyright-area">
            <div class="container">
                <div class="copyright-content">
                    <p><?php print logistec_copyright_text(); ?></p>
                    <?php logistec_footer_bottom_menu(); ?>
                </div>
            </div>
        </div>
    </footer>