<?php

/**
 * Template part for displaying footer layout two
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package logistec
*/

$logistec_footer_logo = get_theme_mod( 'logistec_footer_logo' );
$logistec_footer_bg_url_from_page = function_exists( 'get_field' ) ? get_field( 'logistec_footer_bg' ) : '';
$logistec_footer_bg_color_from_page = function_exists( 'get_field' ) ? get_field( 'logistec_footer_bg_color' ) : '';
$footer_bg_color = get_theme_mod( 'logistec_footer_bg_color' );
$footer_style_4_switch = get_theme_mod( 'footer_style_4_switch', true );

$footer_newsletter_switch = get_theme_mod( 'footer_newsletter_switch', false );
$footer_newsletter_heading = get_theme_mod( 'footer_newsletter_heading', esc_html__( 'Newsletter Subscribe', 'logistec' ) );
$footer_newsletter_subheading = get_theme_mod( 'footer_newsletter_heading', esc_html__( 'Subscribe Our Newsletter For Get More Update', 'logistec' ) );
$footer_newsletter_shortcode = get_theme_mod( 'footer_newsletter_shortcode' );


// bg color
$bg_color = !empty( $logistec_footer_bg_color_from_page ) ? $logistec_footer_bg_color_from_page : $footer_bg_color;

$footer_columns = 0;
$footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

for ( $num = 1; $num <= $footer_widgets; $num++ ) {
    if ( is_active_sidebar( 'footer-4-' . $num ) ) {
        $footer_columns++;
    }
}

switch ( $footer_columns ) {
case '1':
    $footer_class[1] = 'col-lg-12';
    break;
case '2':
    $footer_class[1] = 'col-lg-6 col-md-6';
    $footer_class[2] = 'col-lg-6 col-md-6';
    break;
case '3':
    $footer_class[1] = 'col-xl-3 col-lg-3 col-md-4 col-sm-6 col-12';
    $footer_class[2] = 'col-xl-6 col-lg-6 col-md-4 col-sm-6 col-12';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-4 col-sm-6 col-12';
    break;
case '4':
    $footer_class[1] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    $footer_class[2] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    $footer_class[4] = 'col-xl-3 col-lg-3 col-md-6 col-12';
    break;
default:
    $footer_class = 'col-xl-3 col-lg-3 col-md-6 col-12';
    break;
}

?>

<?php if ( $footer_style_4_switch ) : ?>

<!-- newsletter-start -->
<?php if ( !empty( $footer_newsletter_switch ) ): ?>
<div class="newsletter inner-page">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="newsletter__card">
                    <div class="entry-title">
                        <?php if ( !empty( $footer_newsletter_heading ) ): ?>
                            <h4 class="title"><?php print esc_html( $footer_newsletter_heading );?></h4>
                        <?php endif; ?>
                        <?php if ( !empty( $footer_newsletter_subheading ) ): ?>
                            <p><?php print esc_html( $footer_newsletter_subheading );?></p>
                        <?php endif; ?>
                    </div>
                    <?php echo do_shortcode( $footer_newsletter_shortcode ); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php endif;?>
<!-- newsletter-end -->

<footer class="footer" data-bg-color="<?php print esc_attr( $bg_color );?>">
    <div class="container">
        <?php if ( is_active_sidebar('footer-4-1') OR is_active_sidebar('footer-4-2') OR is_active_sidebar('footer-4-3') OR is_active_sidebar('footer-4-4') ): ?>
        <div class="row pt-190 pb-80">
            <?php
                if ( $footer_columns > 4 ) {
                print '<div class="col-xl-3 col-sm-12 col-md-12">';
                dynamic_sidebar( 'footer-4-1' );
                print '</div>';

                print '<div class="col-xl-3 col-sm-2 col-md-2">';
                dynamic_sidebar( 'footer-4-2' );
                print '</div>';

                print '<div class="col-xl-3 col-sm-2 col-md-2">';
                dynamic_sidebar( 'footer-4-3' );
                print '</div>';

                print '<div class="col-xl-3 col-sm-4 col-md-4">';
                dynamic_sidebar( 'footer-4-4' );
                print '</div>';

                ?>
                </div></div>
                <?php
                } else {
                    for ( $num = 1; $num <= $footer_columns; $num++ ) {
                        if ( !is_active_sidebar( 'footer-4-' . $num ) ) {
                            continue;
                        }
                        print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                        dynamic_sidebar( 'footer-4-' . $num );
                        print '</div>';
                    }
                }
            ?>
        </div>
        <?php endif; ?>
        <div class="row">
            <div class="col-12 text-center">
                <div class="footer__copyright pb-35">
                    <div class="has--linebar"></div>
                    <p><?php print logistec_copyright_text(); ?></p>
                </div>
            </div>
        </div>
    </div>
</footer>

<?php endif;
?>