<?php

	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package logistec
	*/

    
    $logistec_topbar_switch = get_theme_mod('logistec_topbar_switch', false);
    $logistec_search = get_theme_mod( 'logistec_search', false );
    $logistec_header_right = get_theme_mod( 'logistec_header_right', false );
	$logistec_button_text = get_theme_mod( 'logistec_button_text', __( 'Request A Quote', 'logistec' ) );
    $logistec_button_link = get_theme_mod( 'logistec_button_link', __( '#', 'logistec' ) );

    // Topbar Info 
    $logistec_available_time = get_theme_mod( 'logistec_available_time', __( 'Mon - Sat: 8 am - 5 pm, Sunday: CLOSED', 'logistec' ) );
    // Topbar Number
    $logistec_topbar_phone = get_theme_mod( 'logistec_topbar_phone', __( '1-888-452-1505', 'logistec' ) );
    $logistec_topbar_phone_link = get_theme_mod( 'logistec_topbar_phone_link', __( '#', 'logistec' ) );

    // Topbar Address
    $logistec_topbar_address = get_theme_mod( 'logistec_topbar_address', __( '380 St Kilda Road, Australia', 'logistec' ) );

?>

<div class="header-4">
   <!-- header-area-start -->
   <header class="header default-deader-style">
        <?php if ( !empty( $logistec_topbar_switch ) ): ?>
        <div class="top-bar">
            <div class="container">
                <div class="top-bar-inner">
                    <div class="top-bar-left">
                        <ul class="top-bar-list">
                            <?php if ( !empty( $logistec_available_time ) ): ?>
                            <li><i class="fa-sharp fa-regular fa-clock"></i><?php echo esc_html($logistec_available_time); ?></li>
                            <?php endif; ?>

                            <?php if ( !empty( $logistec_topbar_phone ) ): ?>
                            <li><i class="fa-regular fa-phone"></i>
                                <a href="<?php echo esc_url($logistec_topbar_phone_link); ?>"><?php echo esc_html($logistec_topbar_phone); ?></a>
                            </li>
                            <?php endif; ?>

                            <?php if ( !empty( $logistec_topbar_address ) ): ?>
                            <li><i class="fa-sharp fa-regular fa-location-dot"></i><?php echo esc_html($logistec_topbar_address); ?></li>
                            <?php endif; ?>
                        </ul>
                    </div>
                    <div class="top-bar-right">
                        <ul class="top-social">
                          <?php logistec_header_social_profiles() ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>

        <div class="primary-header">
          <div class="container">
               <div class="primary-header-inner">
                  <div class="header-logo d-lg-block">
                     <?php logistec_header_logo();?>
                  </div>

                  <div class="header-menu-wrap">
                      <div class="mobile-menu-items sub-menu">
                          <?php logistec_header_menu();?>
                      </div>
                  </div>
                  <!-- /.header-menu-wrap -->
                  
                  <div class="def-head-right">
                     <?php if ( !empty( $logistec_header_right ) ): ?>
                     <div class="header-right">
                        <?php if ( !empty( $logistec_search ) ): ?>
                        <div class="search-icon dl-search-icon">
                           <i class="fa-light fa-magnifying-glass"></i>
                        </div>
                        <?php endif; ?>

                        <?php if ( !empty( $logistec_button_text ) ): ?>
                        <a href="<?php echo esc_url($logistec_button_link); ?>" class="lt-primary-btn header-btn"><?php echo esc_html($logistec_button_text); ?></a>
                        <?php endif; ?>
                     </div>
                     <?php endif; ?>

                     <div class="header-right-item d-lg-none">
                        <a href="javascript:void(0)" class="mobile-side-menu-toggle">
                           <i class="fal fa-bars"></i>
                        </a>
                     </div>
                  </div>
               </div>
               <!-- /.primary-header-inner -->
          </div>
        </div>
        <!-- /.primary-header -->
   </header>
   <!-- /.Main Header -->

   <div id="popup-search-box">
      <div class="box-inner-wrap d-flex align-items-center">
          <form id="form" action="<?php print esc_url( home_url( '/' ) );?>" method="get" role="search">
              <input id="popup-search" type="search" name="s" value="<?php print esc_attr( get_search_query() )?>" 
              placeholder="<?php print esc_attr__( 'Type keywords here...', 'logistec' );?>">
          </form>
          <div class="search-close"><i class="fa-sharp fa-regular fa-xmark"></i></div>
      </div>
   </div>
   <!-- /#popup-search-box -->
</div>


<header class="header header-1 header-3 d-none">
   <div class="main-header-wraper">
      <div class="container">
            <div class="row">
               <div class="col-12">
                  <div class="d-flex align-items-center justify-content-between">
                        <div class="header-logo">
                           <?php logistec_header_logo();?>
                        </div>

                        <div class="header-menu d-none d-xl-block">
                           <div class="main-menu">
                              <?php logistec_header_menu();?>
                           </div>
                        </div>

                        <div class="header-right d-flex align-items-center">

                           <?php if ( !empty( $logistec_search ) ): ?>
                              <div class="header-search">
                                 <a class="search-toggle" data-selector=".header-search">
                                       <span class="fas fa-search"></span>
                                 </a>

                                 <form class="search-box" action="#" method="get">
                                       <div class="form-group d-flex align-items-center">
                                          <input type="search" name="s" class="search-input" id="search" placeholder="Search" value="<?php the_search_query(); ?>">
                                          <button type="submit" class="search-submit"><i class="fas fa-search"></i></button>
                                       </div>
                                 </form>
                              </div>
                           <?php endif;?>

                           <?php if ( !empty( $logistec_header_right ) ): ?>
                              <?php if ( !empty( $logistec_button_text ) ): ?>
                                 <a href="<?php echo esc_url($logistec_button_link); ?>" class="header-btn"><?php echo esc_html($logistec_button_text); ?></a>
                              <?php endif; ?>
                           <?php endif; ?>

                           <div class="mobile-nav-bar d-block d-xl-none">
                              <div class="mobile-nav-wrap">
                                    <div id="hamburger">
                                       <i class="fal fa-bars"></i>
                                    </div>
                              </div>
                           </div>
                        </div>
                  </div>
               </div>
            </div>
      </div>
   </div>
</header>

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>
