<?php

	/**
	 * Template part for displaying header layout two
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package logistec
	*/

    $logistec_topbar_switch = get_theme_mod('logistec_topbar_switch', false);
    $logistec_search = get_theme_mod( 'logistec_search', false );
    $logistec_header_right = get_theme_mod( 'logistec_header_right', false );
    $logistec_button04_text = get_theme_mod( 'logistec_button04_text', __( 'Track Parcel', 'logistec' ) );
    $logistec_button04_link = get_theme_mod( 'logistec_button04_link', __( '#', 'logistec' ) );

    // Topbar Info 
    $logistec_available_time = get_theme_mod( 'logistec_available_time', __( 'Mon - Sat: 8 am - 5 pm, Sunday: CLOSED', 'logistec' ) );
    // Topbar Number
    $logistec_topbar_phone = get_theme_mod( 'logistec_topbar_phone', __( '1-888-452-1505', 'logistec' ) );
    $logistec_topbar_phone_link = get_theme_mod( 'logistec_topbar_phone_link', __( '#', 'logistec' ) );

    // Topbar Address
    $logistec_topbar_address = get_theme_mod( 'logistec_topbar_address', __( '380 St Kilda Road, Australia', 'logistec' ) );

?>
   <div class="header-3">
     <!-- header-area-start -->
     <header class="header">
         <div class="header-bg">
             <div class="container">
                 <div></div>
                 <div></div>
             </div>
         </div>
         <div class="container">
             <div class="main-header-inner">
                 <div class="main-header-left">
                     <div class="header-logo d-lg-block">
                         <?php logistec_header_04_logo();?>
                     </div>
                 </div>
                 <div class="main-header-right">

                     <div class="top-bar">
                         <div class="top-bar-inner">
                             <div class="top-bar-left">
                                 <ul class="top-bar-list">
                                    <?php if ( !empty( $logistec_available_time ) ): ?>
                                       <li><i class="fa-sharp fa-regular fa-clock"></i><?php echo esc_html($logistec_available_time); ?></li>
                                    <?php endif; ?>

                                    <?php if ( !empty( $logistec_topbar_phone ) ): ?>
                                    <li><i class="fa-regular fa-phone"></i>
                                       <a href="<?php echo esc_url($logistec_topbar_phone_link); ?>"><?php echo esc_html($logistec_topbar_phone); ?></a>
                                    </li>
                                    <?php endif; ?>
                                 </ul>
                             </div>
                             <div class="top-bar-right">
                                 <ul class="top-social">
                                    <?php logistec_header_social_profiles() ?>
                                 </ul>
                             </div>
                         </div>
                     </div>

                     <div class="primary-header">
                         <div class="primary-header-inner">
                             <div class="header-logo sticky-logo">
                                 <?php logistec_header_logo();?>
                             </div>
                             <div class="header-menu-wrap">
                                 <div class="mobile-menu-items sub-menu">
                                    <?php logistec_header_menu();?>
                                 </div>
                             </div>
                             <!-- /.header-menu-wrap -->
                             <div class="header-right">
                                 <?php if ( !empty( $logistec_search ) ): ?>
                                 <div class="search-icon dl-search-icon">
                                     <i class="fa-light fa-magnifying-glass"></i>
                                 </div>
                                 <?php endif; ?>

                                 <?php if ( !empty( $logistec_button04_text ) ): ?>
                                 <a href="<?php echo esc_url($logistec_button04_link); ?>" class="lt-primary-btn"><?php echo esc_html($logistec_button04_text); ?></a>
                                 <?php endif; ?>

                                 <div class="header-right-item">
                                     <a href="javascript:void(0)" class="mobile-side-menu-toggle d-lg-none"
                                         ><i class="fa-sharp fa-solid fa-bars"></i
                                     ></a>
                                 </div>
                             </div>
                             <!-- /.header-right -->
                         </div>
                         <!-- /.primary-header-inner -->
                     </div>
                     <!-- /.primary-header -->
                 </div>
             </div>
         </div>
     </header>
     <!-- /.Main Header -->

     <div id="popup-search-box">
         <div class="box-inner-wrap d-flex align-items-center">
             <form id="form" action="<?php print esc_url( home_url( '/' ) );?>" method="get" role="search">
                 <input id="popup-search" type="search" name="s" value="<?php print esc_attr( get_search_query() )?>" placeholder="<?php print esc_attr__( 'Type keywords here...', 'logistec' );?>">
             </form>
             <div class="search-close"><i class="fa-sharp fa-regular fa-xmark"></i></div>
         </div>
     </div>
     <!-- /#popup-search-box -->
   </div>


<?php get_template_part( 'template-parts/header/header-side-info' ); ?>
