<?php 

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package logistec
   */

    $logistec_side_hide = get_theme_mod( 'logistec_side_hide', false );
    $logistec_side_social_hide = get_theme_mod( 'logistec_side_social_hide', false );
    $logistec_search = get_theme_mod( 'logistec_search', false );
    $logistec_side_logo = get_theme_mod( 'logistec_side_logo', get_template_directory_uri() . '/assets/images/resources/footer-logo.png' );

    $logistec_extra_email = get_theme_mod( 'logistec_extra_email', __( 'info@example.com', 'logistec' ) );
    $logistec_extra_phone = get_theme_mod( 'logistec_extra_phone', __( '+01 569 896 654', 'logistec' ) );
    $logistec_extra_address = get_theme_mod( 'logistec_extra_address', __( 'Amsterdam, 109-74', 'logistec' ) );

    $logistec_logo = get_template_directory_uri() . '/assets/images/home/logo.svg';
    $logistec_site_logo = get_theme_mod( 'logo', $logistec_logo );
?>


  <div class="mobile-side-menu">
      <div class="side-menu-content">
          <div class="side-menu-head">
              <?php logistec_header_logo();?>
              <button class="mobile-side-menu-close"><i class="fa-regular fa-xmark"></i></button>
          </div>
          <div class="side-menu-wrap"></div>

          <?php if ( !empty( $logistec_side_hide ) ): ?>
          <div class="contact-item item-2">
              <ul class="contact-list">
                  <?php if ( !empty( $logistec_extra_address ) ): ?>
                  <li>Address : <span><?php echo logistec_kses($logistec_extra_address); ?></span></li>
                  <?php endif;?>

                  <?php if ( !empty( $logistec_extra_phone ) ): ?>
                  <li>Phone : <a href="tel:<?php echo esc_attr($logistec_extra_phone); ?>"><?php echo logistec_kses($logistec_extra_phone); ?></a></li>
                  <?php endif;?>

                  <?php if ( !empty( $logistec_extra_email ) ): ?>
                  <li>Email : <a href="mailto:<?php echo esc_attr($logistec_extra_email); ?>"><?php echo logistec_kses($logistec_extra_email); ?></a></li>
                  <?php endif;?>
              </ul>
          </div>

          <?php if ( !empty( $logistec_side_social_hide ) ): ?>
          <div class="logistec-social">
            <?php logistec_header_social_profiles() ?>
          </div>
          <?php endif;?>

          <?php endif;?>

      </div>
  </div>
  <!-- /.mobile-side-menu -->
  <div class="mobile-side-menu-overlay"></div>



<!-- mobile menu - responsive menu start-->
<div class="mobile-nav d-none">
   <div class="mobile-nav">
      <?php logistec_mobile_logo();?>
      <button type="button" class="close-nav">
            <i class="fal fa-times-circle"></i>
      </button>

      <nav class="sidebar-nav">
         <div class="navigation">
            <div class="logistec-mobile-nav"> 
               <?php logistec_header_menu();?>
            </div>
            
            <?php if ( !empty( $logistec_side_hide ) ): ?>
               <div class="action-bar">
                  <?php if ( !empty( $logistec_extra_email ) ): ?>
                     <a href="mailto:<?php echo esc_attr($logistec_extra_email); ?>"><i class="fal fa-envelope-open-text"></i><?php echo logistec_kses($logistec_extra_email); ?></a>
                  <?php endif;?>
                  <?php if ( !empty( $logistec_extra_phone ) ): ?>
                     <a href="tel:<?php echo esc_attr($logistec_extra_phone); ?>"><i class="fal fa-phone"></i><?php echo logistec_kses($logistec_extra_phone); ?></a>
                  <?php endif;?>
                  <?php if ( !empty( $logistec_extra_address ) ): ?>
                     <span>
                        <i class="fal fa-map-marker-alt"></i>
                        <?php echo logistec_kses($logistec_extra_address); ?>
                     </span>
                  <?php endif;?>
                     <a href="contact.html" class="btn-info">Consultancy</a>
               </div>
               <div class="dailo-social">
                  <?php logistec_header_social_profiles() ?>
               </div>
            <?php endif;?>
         </div>
      </nav>
   </div>
</div>
<!-- mobile menu - responsive menu end--> 